<?php

if (!function_exists('generarToken')) {
    function generarToken($idSede)
    { 
        $token = bin2hex(random_bytes(32)); // Token seguro
        $ahora = date('Y-m-d H:i:s');
        $expira = date('Y-m-d H:i:s', strtotime('+30 days'));

        // Guardar token en cookie (30 días)
        setcookie('token_sistema', $token, time() + (86400 * 30), "/", "", false, true);

        return $token;
    }
}

if (!function_exists('UppercaseWords')) {
    function UppercaseWords($data)
    { 
        return mb_strtoupper($data, 'UTF-8');
}
}